## sicilianu 0~20241205

=== Makefile ===
.PHONY: all
all:

.PHONY: update_wsicilian
update_wsicilian: scnwiki-latest-pages-articles.xml include exclude
	./process scnwiki-latest-pages-articles.xml > $@

scnwiki-latest-pages-articles.xml:
	wget https://dumps.wikimedia.org/scnwiki/latest/scnwiki-latest-pages-articles.xml.bz2
	bunzip2 scnwiki-latest-pages-articles.xml.bz2

.PHONY: clean
clean:
	$(RM) scnwiki-latest-pages-articles.xml
	$(RM) *orig.tar.gz
	$(RM) -r deb-pkg

.PHONY: dist
dist: wsicilian
	cd ..; tar -czf sicilianu/sicilianu_0~`date -Idate | sed -e s/-//g`.orig.tar.gz \
		sicilianu/wsicilian \
		sicilianu/Makefile \
		sicilianu/dictcommon/ \
		sicilianu/LICENSE \
		sicilianu/process \
		sicilianu/README.md
	gpg --sign --armor --detach-sign ./sicilianu_0~`date -Idate | sed -e s/-//g`.orig.tar.gz


.PHONY: install
install: wsicilian
	install -m644 -D wsicilian ${DESTDIR}/usr/share/dict/wsicilian
	install -m644 -D dictcommon/wsicilian ${DESTDIR}/var/lib/dictionaries-common/wordlist/wsicilian

.PHONY: deb-pkg
deb-pkg: dist
	$(RM) -r /tmp/sicilianu*
	mv sicilianu*orig* /tmp
	cd /tmp; tar -xf sicilianu*orig*.gz
	cp -r debian /tmp/sicilianu/
	cd /tmp/sicilianu; dpkg-buildpackage #--changes-option=-S
	mkdir -p deb-pkg
	mv /tmp/sicilianu*.* /tmp/wsicilian*.* deb-pkg
	lintian --pedantic -E --color auto -i -I deb-pkg/*changes deb-pkg/*deb

=== debian/changelog ===
sicilianu (0~20241205-1) unstable; urgency=low

  * Initial release. (Closes: #1089103)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 05 Dec 2024 16:41:29 +0100

=== debian/control ===
Source: sicilianu
Section: text
Priority: optional
Build-Depends: debhelper (>= 13),
 debhelper-compat (= 13)
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Vcs-Browser: https://codeberg.org/parolottero/sicilianu
Vcs-Git: https://codeberg.org/parolottero/sicilianu.git
Standards-Version: 4.7.0
Homepage: https://codeberg.org/parolottero/sicilianu
Rules-Requires-Root: no

Package: wsicilian
Architecture: all
Depends: dictionaries-common, ${misc:Depends}
Provides: wordlist
Description: Sicilian dictionary words for /usr/share/dict/
 This package contains an alphabetic list of Sicilian words.
 .
 You may wish to use it in conjunction with a program like spell(1) to
 spell-check a Sicilian text, or with a program like look(1) for word
 completion.
 .
 It may even be used by the sysadmin to look for weak user passwords.

## sicilianu 0~20250817

=== Makefile ===
--- 
+++ 
@@ -29,8 +29,10 @@
 
 .PHONY: install
 install: wsicilian
-	install -m644 -D wsicilian ${DESTDIR}/usr/share/dict/wsicilian
+	install -m644 -D wsicilian ${DESTDIR}/usr/share/dict/sicilian
 	install -m644 -D dictcommon/wsicilian ${DESTDIR}/var/lib/dictionaries-common/wordlist/wsicilian
+	# TODO livari sta cosa, è sulu pirchi annunca parolottero-languages si sminchia
+	ln -s /usr/share/dict/sicilian ${DESTDIR}/usr/share/dict/wsicilian
 
 .PHONY: deb-pkg
 deb-pkg: dist
@@ -38,7 +40,7 @@
 	mv sicilianu*orig* /tmp
 	cd /tmp; tar -xf sicilianu*orig*.gz
 	cp -r debian /tmp/sicilianu/
-	cd /tmp/sicilianu; dpkg-buildpackage #--changes-option=-S
+	cd /tmp/sicilianu; dpkg-buildpackage --changes-option=-S
 	mkdir -p deb-pkg
 	mv /tmp/sicilianu*.* /tmp/wsicilian*.* deb-pkg
 	lintian --pedantic -E --color auto -i -I deb-pkg/*changes deb-pkg/*deb

=== debian/changelog ===
sicilianu (0~20250817-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version. No changes

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 17 Aug 2025 08:22:32 +0200

sicilianu (0~20241205-2) unstable; urgency=medium

  * Source only upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 16 Aug 2025 18:23:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Vcs-Browser: https://codeberg.org/parolottero/sicilianu
 Vcs-Git: https://codeberg.org/parolottero/sicilianu.git
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://codeberg.org/parolottero/sicilianu
 Rules-Requires-Root: no

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://codeberg.org/parolottero/sicilianu/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## sicilianu 0~20260301

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 .PHONY: update_wsicilian
 update_wsicilian: scnwiki-latest-pages-articles.xml include exclude
-	./process scnwiki-latest-pages-articles.xml > $@
+	./process scnwiki-latest-pages-articles.xml include exclude > $@
 
 scnwiki-latest-pages-articles.xml:
 	wget https://dumps.wikimedia.org/scnwiki/latest/scnwiki-latest-pages-articles.xml.bz2
@@ -31,8 +31,6 @@
 install: wsicilian
 	install -m644 -D wsicilian ${DESTDIR}/usr/share/dict/sicilian
 	install -m644 -D dictcommon/wsicilian ${DESTDIR}/var/lib/dictionaries-common/wordlist/wsicilian
-	# TODO livari sta cosa, è sulu pirchi annunca parolottero-languages si sminchia
-	ln -s /usr/share/dict/sicilian ${DESTDIR}/usr/share/dict/wsicilian
 
 .PHONY: deb-pkg
 deb-pkg: dist

=== debian/changelog ===
sicilianu (0~20260301-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete fields from d/control

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 01 Mar 2026 15:48:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sicilianu
 Section: text
-Priority: optional
 Build-Depends: debhelper (>= 13),
  debhelper-compat (= 13)
 Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
@@ -8,7 +7,6 @@
 Vcs-Git: https://codeberg.org/parolottero/sicilianu.git
 Standards-Version: 4.7.2
 Homepage: https://codeberg.org/parolottero/sicilianu
-Rules-Requires-Root: no
 
 Package: wsicilian
 Architecture: all
